#include <cstdint>
#include <iostream>
using namespace std;
using ll = int64_t;

const ll maxn{ll(1e6+5)};
// ll n,fn,f1,f2;
ll n,f[maxn];

ll dfs(ll const& now){
    if(f[now])return f[now];
    if(now==1||now==2){
        return 1;
    }
    f[now]=dfs(now-1)+dfs(now-2);
    return f[now];
}

int main(){
    cin>>n;
    // f1=1,f2=1;
    // for(ll i{3};i<=n;i++){
    //     fn=f1+f2;
    //     swap(fn,f2);
    //     swap(fn,f1);
    // }
    cout<<dfs(n)<<'\n';
}